#include <gtk/gtk.h>

int main(int argc, char *argv[]) {
    
  GtkWidget *window;

  gtk_init(&argc, &argv);

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

  /*set title*/
  gtk_window_set_title(GTK_WINDOW(window), "Center");

  /*set size*/
  gtk_window_set_default_size(GTK_WINDOW(window), 230, 150);

  /*set position*/
  gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);

  /*flag widget to be displayed*/
  gtk_widget_show(window);

  /* connect callback fct with destory signal*/
  g_signal_connect(G_OBJECT(window), "destroy",
      G_CALLBACK(gtk_main_quit), NULL);

  /*enter main loop and wait for events*/
  gtk_main();

  return 0;
}
