#include <gtk/gtk.h>

int main(int argc, char *argv[]) {

  /*base class that all GTK+ widgets derive from*/
  GtkWidget *window;

  /*initializing GTK+ and parsing command line options*/
  /*musst be called before any other fct*/
  gtk_init(&argc, &argv);

  /*create new GtkWindow with window type GTK_WINDOW_TOPLEVEL*/
  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

  /*flag the widget to be displayed*/
  gtk_widget_show(window);

  /*connect callback fct to the destory signal*/
  g_signal_connect(window, "destroy",
      G_CALLBACK(gtk_main_quit), NULL);  

  /*enter main loop, sit and wait for events*/
  gtk_main();

  return 0;
}
